function hasonlit( n ) 
%n a fokszm

f = @(x)(1./(1+25*x.^2));

n = n+1;

xe = linspace(-1,1,n);
ye = f(xe);

for i=1:n,
    xc(i) = cos((2*i-1)/(2*n)*pi); %csebisev alappontok
end;

yc = f(xc);

Le = polyfit(xe,ye,n-1); %polinomilleszts, interpolci, n-esre n-1-es
Lc = polyfit(xc,yc,n-1);

xx = -1:0.001:1;
yy = f(xx);

yye = polyval(Le, xx);
yyc = polyval(Lc, xx);

plot(xx,yy,'r',xx,yye,'b',xe,ye,'bo',xx,yyc,'k', xc,yc,'ko');