function maxhiba = fejerhermite( x,f,fd )

xx = min(x):0.001:max(x);

hxx = 0*xx; %vgs megolds

n = length(x);

for i=1:n,
    v = zeros(1,n);
    v(i) =1;
    li = polyfit(x,v,n-1);
    
    lid = polyder(li); %derivlt
    lidxi = polyval(lid,x(i));
    
    lin = polyval(li,xx).^2;
    
    Aix = (1-2*(xx-x(i))*lidxi).*lin;
    Bix = (xx-x(i)).*lin;
    
    hxx = hxx + f(i)*Aix + fd(i)*Bix; 
end;

f = @(x)(x.*sin(x));

hibaxx = abs(f(xx)-hxx);
plot(xx, hibaxx,'b');
maxhiba = max(hibaxx);

end